Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface UserProfileModule

All Known Implementing Classes:
  CachedUserProfileModuleWrapper, DelegatingUserProfileModuleImpl, HibernateUserProfileModuleImpl, LDAPUserProfileModule, LDAPUserProfileModuleImpl, UserProfileModuleService

    public interface UserProfileModule

Manages user properties

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Method Summary
`ProfileInfo` | `getProfileInfo()` Return ProfileInfo object that can be used to obtain PropertyInfo on specific property name.
`java.util.Map` | `getProperties(User user)` Returns all properties related to user
`java.lang.Object` | `getProperty(User user, java.lang.String propertyName)` Returns user property
`void` | `setProperty(User user, java.lang.String name, java.lang.Object property)` Sets user property.

Method Detail

### getProperty

    java.lang.Object getProperty(User user,
                                 java.lang.String propertyName)
                                 throws IdentityException,
                                        java.lang.IllegalArgumentException

  Returns user property

  Parameters:
    `user` -
    `propertyName` -
  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### setProperty

    void setProperty(User user,
                     java.lang.String name,
                     java.lang.Object property)
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Sets user property. If the property value is null the property will be removed.

  Parameters:
    `user` -
    `name` -
    `property` - value
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProperties

    java.util.Map getProperties(User user)
                                throws IdentityException,
                                       java.lang.IllegalArgumentException

  Returns all properties related to user

  Parameters:
    `user` -
  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProfileInfo

    ProfileInfo getProfileInfo()
                               throws IdentityException

  Return ProfileInfo object that can be used to obtain PropertyInfo on specific property name.

  Returns:
  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD